# documentation:2.0:memcachedsessionbackend
Keywords: documentation,2.0,memcachedsessionbackend

# Memcached session backend

Memcached can be used with LL::NG, but some features will not work since Memcached doesn't provide any parsing system:

- Session expiration: sessions will never expire (server side)
- Session explorer will not work
- Session restrictions will not work

To keep Memcached performance level and LL::NG features, you can replace Memcached by Redis using NoSQL session backend.

## Setup

Install and launch a Memcached server.

In the manager: set Apache::Session::Memcached in `General parameters` » `Sessions` » `Session storage` » `Apache::Session module` and add the following parameters (case sensitive):

Required parameters
Name | Comment | Example
--- | --- | ---
Servers | Memcached servers | 10.0.0.1:20000 10.0.0.2:20000

See Apache::Session::Memcached for optional parameters.